%global momorel 6

Summary:	Dispatches messages to one or more outputs
Name:		perl-Log-Dispatch
Version:	2.26
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/authors/id/D/DR/DROLSKY/Log-Dispatch-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Log/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 1:5.8.8
BuildArch:	noarch
#Requires:	perl-Mail-Sender
#Requires:	perl-Mail-Sendmail
#Requires:	perl-MIME-Lite
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Params-Validate >= 0.15
Requires:	perl-Params-Validate >= 0.15

%description
This module manages a set of Log::Dispatch::* objects, allowing you to add
and remove output objects as desired.

%prep
%setup -q -n Log-Dispatch-%{version}

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Log-Dispatch-%{version}-filelist
if [ "$(cat Log-Dispatch-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Log-Dispatch-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.26-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.26-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26-1m)
- update to 2.26

* Fri Sep 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.25-1m)
- update to 2.25

* Sun Sep 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.23-1m)
- update to 2.23

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-3m)
- rebuild against perl-5.10.1

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22-2m)
- arrange Requires and BuildRequirs

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-1m)
- update to 2.22

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.21-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.21-2m)
- rebuild against gcc43

* Sun Feb 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.21-1m)
- update to 2.21

* Sat Nov  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-1m)
- update to 2.20

* Fri Nov  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.19-1m)
- update to 2.19

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.18-1m)
- update to 2.18

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.17-2m)
- use vendor

* Sun Apr  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.17-1m)
- update to 2.17

* Wed Dec 20 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.15-1m)
- update to 2.15

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.14-1m)
- update to 2.14

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13-1m)
- spec file was autogenerated
